Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List webhook deliveries

GET/workspaces/{organizationId}/webhook-deliveries
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
statusstring
Allowed:pendingprocessingcompletedfailed
limitinteger
min 1 · max 100
Responses
200

Inbound webhook delivery log

deliveriesobject[]required
Show properties
Array of object
deliveryIdstringrequired
sourcestringrequired
eventstringrequired
organizationIdstring | nullrequired
processedAtstringrequired
statusstringrequired
attemptCountnumberrequired
payloadstring | nullrequired
lastErrorstring | nullrequired
nextRetryAtstring | nullrequired
lockedAtstring | nullrequired
resultstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/webhook-deliveries' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "deliveries": [
    {
      "deliveryId": "string",
      "source": "string",
      "event": "string",
      "organizationId": "string",
      "processedAt": "string",
      "status": "string",
      "attemptCount": 0,
      "payload": "string",
      "lastError": "string",
      "nextRetryAt": "string",
      "lockedAt": "string",
      "result": "string"
    }
  ]
}